
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #321

New Scrobbler can not connect with Last.fm - error appears in the Windows Audcious Verision

July 20, 2013 15:20 - Roland Haslinger

Status: Closed Start date: July 20, 2013

Priority: Minor Due date:  

Assignee: John Lindgren % Done: 100%

Category: plugins/scrobbler2 Estimated time: 0.00 hour

Target version: 3.4.1   

Affects version:    

Description

Hi :)

Have downloaded the latest available Version today from the Audacious Site - Works fine, only the Scrobbler 2 Plugin does not work

at all in the Windows Version!

When i open the Plugin Preferences and click on "Check Permissions" in the Scrobbler 2 Plugin i only get a "network Problem -

There was a problem contacting last.fm, please try later" message back.

But when i use the old Scrobbler Plogin, no problem appears, i can connect with the last.fm Servers and submit my tracks.

Seems there is some kind of Bug, hopefully it can be fixed!

History

#1 - July 20, 2013 15:21 - Roland Haslinger

Sorry, i screwed up, somehow the field assignee got filled with a name...

#2 - July 20, 2013 19:40 - Thomas Lange

Roland Haslinger wrote:

Sorry, i screwed up, somehow the field assignee got filled with a name...

 

You chose accidentally the right person... :D

Take a look on "About" of the Scrobbler2 plugin.

#3 - July 21, 2013 09:43 - Luís Picciochi

I think the assignment is automatic.

Can you please run autacious with -V and attach the output?

It should be something like: C:\Program Files\audacious\audacious.exe -V

#4 - July 21, 2013 15:50 - Roland Haslinger

Tried that, but does not work sadly.

#5 - July 28, 2013 22:50 - Luís Picciochi

- File Audacious on Windows.log added
Apparently it works, but for some reason you have to redirect the output to some file in order to see it, sadly.

audacious.exe -V > c:\some\dir\where\your\user\has\permission\to\write\output.txt

 

The relevant line is this:

scrobbler_communication.c:151 [send_message_to_lastfm]: Could not communicate with last.fm: Unsupported protocol.

jlindgren: was the curl library compiled with HTTPS support?

#6 - July 28, 2013 23:15 - Luís Picciochi

Related:

http://stackoverflow.com/questions/197444/building-libcurl-with-ssl-support-on-windows

Apparently, OpenSSL will also have to be added to the Windows compilation process.

Alternatively, there's a curl binary with SSL support from curl itself, if you want to avoid compiling it and OpenSSL: http://curl.haxx.se/download.html

#7 - July 30, 2013 01:15 - John Lindgren

- Assignee changed from Luís Picciochi to John Lindgren

- Target version set to 3.4.1

Luís Picciochi wrote:

Apparently, OpenSSL will also have to be added to the Windows compilation process.

Alternatively, there's a curl binary with SSL support from curl itself, if you want to avoid compiling it and OpenSSL: 

http://curl.haxx.se/download.html

 

Duly noted; I will look into this for 3.4.1.

#8 - August 28, 2013 13:31 - Dmitry Viskov

I have the same bug on my Debian system:

$ dpkg -s audacious

Package: audacious

...

Architecture: amd64

Version: 3.4-1

$ dpkg -s audacious-plugins
Package: audacious-plugins

...

Architecture: amd64

Multi-Arch: same

Version: 3.4-1

$ lsb_release -a

No LSB modules are available.

Distributor ID: Debian

Description:    Debian GNU/Linux testing (jessie)

Release:        testing

Codename:       jessie

$ lsb_release -a

No LSB modules are available.

Distributor ID: Debian

Description:    Debian GNU/Linux testing (jessie)

Release:        testing

Codename:       jessie

When i try to turn on "Check Permissions" in Scrobbler 2.0 plugin it prints "Network Problem. There was a problem contacting last.fm, please try later"

#9 - September 07, 2013 13:55 - Edmond Sicard

Dmitry Viskov wrote:

I have the same bug on my Debian system:

[...]

[...]

[...]

[...]

When i try to turn on "Check Permissions" in Scrobbler 2.0 plugin it prints "Network Problem. There was a problem contacting last.fm, please try

later"

 

I see the same error message on Ubuntu 13.04 (64-bit), audacious Version: 3.4.1-1~webupd8~raring
#10 - September 09, 2013 18:57 - John Lindgren

This bug is about a missing OpenSSL library in the Windows build.  Comments here about anything but the Windows version will be ignored.

#11 - September 14, 2013 23:58 - John Lindgren

- Status changed from New to Closed

- % Done changed from 0 to 100

I've uploaded a Windows build of 3.4.1 with OpenSSL support.  This fixes the "unsupported protocol" error.  However, scrobbling is still not working

for me on Windows because of #343.

Files

Audacious on Windows.log 14.9 KB July 28, 2013 Luís Picciochi
